Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.tools.ant.taskdefs.optional.clearcase
Class CCUnCheckout

    java.lang.Object
      org.apache.tools.ant.ProjectComponent
          org.apache.tools.ant.Task
              org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
                  org.apache.tools.ant.taskdefs.optional.clearcase.CCUnCheckout

public class CCUnCheckout
extends ClearCase

Performs ClearCase UnCheckout command.

The following attributes are interpretted:

Attribute | Values | Required
--- | --- | ---
viewpath | Path to the ClearCase view file or directory that the command will operate on | No
keepcopy | Specifies whether to keep a copy of the file with a .keep extension or not | No

Author:
  Curtis White

Field Summary
`static java.lang.String` | `FLAG_KEEPCOPY` -keep flag -- keep a copy of the file with .keep extension
`static java.lang.String` | `FLAG_RM` -rm flag -- remove the copy of the file

Fields inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`COMMAND_CHECKIN, COMMAND_CHECKOUT, COMMAND_UNCHECKOUT, COMMAND_UPDATE`

Fields inherited from class org.apache.tools.ant.Task
`description, location, target, taskName, taskType, wrapper`

Fields inherited from class org.apache.tools.ant.ProjectComponent
`project`

Constructor Summary
`CCUnCheckout()`

Method Summary
`void` | `execute()` Executes the task.
`boolean` | `getKeepCopy()` Get keepcopy flag status
`void` | `setKeepCopy(boolean keep)` If true, keep a copy of the file with a .keep extension.

Methods inherited from class org.apache.tools.ant.taskdefs.optional.clearcase.ClearCase
`getClearToolCommand, getViewPath, run, setClearToolDir, setViewPath`

Methods inherited from class org.apache.tools.ant.Task
`getDescription, getLocation, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, handleErrorFlush, handleErrorOutput, handleFlush, handleOutput, init, isInvalid, log, log, maybeConfigure, perform, setDescription, setLocation, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName`

Methods inherited from class org.apache.tools.ant.ProjectComponent
`getProject, setProject`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FLAG_KEEPCOPY

    public static final java.lang.String FLAG_KEEPCOPY

  -keep flag -- keep a copy of the file with .keep extension

  See Also:
    Constant Field Values

### FLAG_RM

    public static final java.lang.String FLAG_RM

  -rm flag -- remove the copy of the file

  See Also:
    Constant Field Values

Constructor Detail

### CCUnCheckout

    public CCUnCheckout()

Method Detail

### execute

    public void execute()
                 throws BuildException

  Executes the task.

  Builds a command line to execute cleartool and then calls Exec's run method to execute the command line.

  Overrides:
    `execute` in class `Task`
  Throws:
    `BuildException` - if something goes wrong with the build

### setKeepCopy

    public void setKeepCopy(boolean keep)

  If true, keep a copy of the file with a .keep extension.

  Parameters:
    `keep` - the status to set the flag to

### getKeepCopy

    public boolean getKeepCopy()

  Get keepcopy flag status

  Returns:
    boolean containing status of keep flag

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2003 Apache Software Foundation. All Rights Reserved.